Skip to content
payrocdevelopers

List funding accounts

Browse API reference

GET/funding-accountslistFundingAccount

Use this method to return a paginated list of funding accounts associated with your account.

Note: If you want to view the details of a specific funding account and you have its fundingAccountId, use our Retrieve Funding Account method.

Our gateway returns the following information about each funding account in the list:

  • Name of the account holder and ACH details for the account.
  • Status of the account.
  • Whether we send funds to the account, withdraw funds from the account, or both.

For each funding account, we also return the fundingAccountId, which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a paginated list of all funding accounts.

200 OK · application/json
{
  "count": 2,
  "data": [
    {
      "createdDate": "2024-07-02T15:30:00+00:00",
      "fundingAccountId": 123,
      "lastModifiedDate": "2024-07-02T15:30:00+00:00",
      "links": [
        {
          "href": "https://api.payroc.com/v1/processing-accounts/4525644354",
          "method": "get",
          "rel": "parent"
        }
      ],
      "metadata": {
        "yourCustomField": "abc123"
      },
      "nameOnAccount": "Jane Doe",
      "paymentMethods": [
        {
          "type": "ach",
          "value": {
            "accountNumber": "******7890",
            "routingNumber": "*****6789"
          }
        }
      ],
      "status": "approved",
      "type": "checking",
      "use": "credit"
    },
    {
      "createdDate": "2024-07-02T15:30:00+00:00",
      "fundingAccountId": 124,
      "lastModifiedDate": "2024-07-02T15:30:00+00:00",
      "links": [
        {
          "href": "https://api.payroc.com/v1/funding-recipients/234",
          "method": "get",
          "rel": "parent"
        }
      ],
      "metadata": {
        "yourCustomField": "abc123"
      },
      "nameOnAccount": "Jane Doe",
      "paymentMethods": [
        {
          "type": "ach",
          "value": {
            "accountNumber": "******3491",
            "routingNumber": "*****8725"
          }
        }
      ],
      "status": "pending",
      "type": "checking",
      "use": "debit"
    }
  ],
  "hasMore": true,
  "limit": 2,
  "links": [
    {
      "href": "https://api.payroc.com/v1/funding-accounts?before=123&limit=2",
      "method": "get",
      "rel": "previous"
    },
    {
      "href": "https://api.payroc.com/v1/funding-accounts?after=124&limit=2",
      "method": "get",
      "rel": "next"
    }
  ]
}
Response schema · 22 of 26 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of fundingAccount objects.
    • createdDatestringdate-time
      Date and time that we received your request to create the funding account in our system.
    • fundingAccountIdinteger
      Unique identifier that we assigned to the funding account.
    • lastModifiedDatestringdate-time
      Date and time that the funding account was last modified.
    • linksobject[]
      Array of HATEOAS links.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • metadataobject
      Metadata object you can use to include custom data with your request.
    • nameOnAccountstringrequired
      Name of the account holder.
    • paymentMethodsobject[]required
      Array of PaymentMethodAch objects.
      • ACH payment methodobject
        +4 more fields at deeper levels — see the full spec
    • statusstring
      Status of the funding account. The value is one of the following: approved We approved the funding account. rejected We rejected the funding account. pending We have not yet approved the funding account. hold Our Risk team have temporarily placed a hold on the funding account.approvedrejectedpendinghold
    • typestringrequired
      Type of funding account.checkingsavingsgeneralLedger
    • usestringrequired
      Indicates if we send funds or withdraw funds from the account. credit Send funds to the account. debit Withdraw funds from the account. creditAndDebit Send funds and withdraw funds from the account. Note: If the funding account is associated with a funding recipient, we accept only a value of credit.creditdebitcreditAndDebit

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer